<?php

/// \file answer_converter.php Contains the conversion class for answer objects.

// This class derives from Converter
require_once 'converter.php';

/// Provides conversion for answer objects
class AnswerConverter extends Converter
{
    protected function GetTitle($json_item)
    {
        return $json_item['title'];
    }
    
    protected function GetDescription($json_item)
    {
        return (isset($json_item['body']))?$json_item['body']:'<i>No content.</i>';
    }
    
    protected function GetLink($json_item)
    {
        return "http://{$_GET['site']}/questions/{$json_item['answer_id']}";
    }
    
    protected function GetDate($json_item)
    {
        return date(DATE_RSS, $json_item['last_activity_date']);
    }
}

?>
