<?php

/// \file associated_user_converter.php Contains the conversion class for associated user objects.

// This class derives from Converter
require_once 'converter.php';

/// Provides conversion for associated user objects
class AssociatedUserConverter extends Converter
{
    protected function GetTitle($json_item)
    {
        $mod =  ($json_item['user_type'] == 'moderator')?'♦':'';
        
        return "{$json_item['display_name']}{$mod} - {$json_item['reputation']}";
    }
    
    protected function GetDescription($json_item)
    {
        return "<b>Site:</b> {$json_item['on_site']['name']}";
    }
    
    protected function GetLink($json_item)
    {
        return "{$json_item['on_site']['site_url']}/users/{$json_item['user_id']}";
    }
    
    protected function GetDate($json_item)
    {
        // Use the current date
        return date(DATE_RSS);
    }
}

?>
