<?php

/// \file badge_converter.php Contains the conversion class for badge objects.

// This class derives from Converter
require_once 'converter.php';

/// Provides conversion for badge objects
class BadgeConverter extends Converter
{
    protected function GetTitle($json_item)
    {
        return htmlentities($json_item['name']);
    }
    
    protected function GetDescription($json_item)
    {
        return htmlentities($json_item['description']) . "<br /><b>Awarded:</b> {$json_item['award_count']} time(s)";
    }
    
    protected function GetLink($json_item)
    {
        return "http://{$_GET['site']}/badges/{$json_item['badge_id']}";
    }
    
    protected function GetDate($json_item)
    {
        // Badges don't have a meaningful date, so just return the current date
        return date(DATE_RSS);
    }
}

?>
