<?php

/// \file privilege_converter.php Contains the conversion class for privilege objects.

// This class derives from Converter
require_once 'converter.php';

/// Provides conversion for privilege objects
class PrivilegeConverter extends Converter
{
    protected function GetTitle($json_item)
    {
        return ucwords($json_item['short_description']);
    }
    
    protected function GetDescription($json_item)
    {
        return "{$json_item['description']}<br /><b>Reputation required:</b> {$json_item['reputation']}";
    }
    
    protected function GetLink($json_item)
    {
        return "http://{$_GET['site']}/privileges";
    }
    
    protected function GetDate($json_item)
    {
        // The date is meaningless, so simply return the current date.
        return date(DATE_RSS);
    }
}

?>
