<?php

/// \file question_converter.php Contains the conversion class for question objects.

// This class derives from Converter
require_once 'converter.php';

/// Provides conversion for question objects
class QuestionConverter extends Converter
{
    protected function GetTitle($json_item)
    {
        return $json_item['title'];
    }
    
    protected function GetDescription($json_item)
    {
        $question_content = (isset($json_item['body']))?$json_item['body']:'<i>No content.</i>';
        $accepted         = (isset($json_item['accepted_answer_id']))?'yes':'no';
        
        return "<b>Answers:</b> {$json_item['answer_count']}<br /><b>Accepted answer:</b> {$accepted}<br /><br />{$question_content}";
    }
    
    protected function GetLink($json_item)
    {
        return "http://{$_GET['site']}/questions/{$json_item['question_id']}";
    }
    
    protected function GetDate($json_item)
    {
        return date(DATE_RSS, $json_item['last_activity_date']);
    }
}

?>
