<?php

/// \file rep_change_converter.php Contains the conversion class for rep change objects.

// This class derives from Converter
require_once 'converter.php';

/// Provides conversion for rep change objects
class RepChangeConverter extends Converter
{
    protected function GetTitle($json_item)
    {
        // Determine whether there was a gain or loss of rep.
        $rep    = $json_item['positive_rep'] - $json_item['negative_rep'];
        $action = ($rep > 0)?'Gained':'Lost';
        $rep    = abs($rep);
        
        return "{$action} {$rep} reputation.";
    }
    
    protected function GetDescription($json_item)
    {
        $rep    = $json_item['positive_rep'] - $json_item['negative_rep'];
        $action = ($rep > 0)?'Gained':'Lost';
        $rep    = abs($rep);
        
        if($json_item['post_type'] == 'question')
            $type = 'question';
        else
            $type = 'answer to';
        
        return "{$action} {$rep} reputation for {$type} \"{$json_item['title']}\"<br /><b>Up:</b> {$json_item['positive_rep']}&nbsp;&nbsp;&nbsp;&nbsp;<b>Down: </b>{$json_item['negative_rep']}";
    }
    
    protected function GetLink($json_item)
    {
        return "http://{$_GET['site']}/questions/{$json_item['post_id']}";
    }
    
    protected function GetDate($json_item)
    {
        return date(DATE_RSS, $json_item['on_date']);
    }
}

?>
