<?php

/// \file statistics_converter.php Contains the conversion class for statistics objects.

// This class derives from Converter
require_once 'converter.php';

/// Provides conversion for statistics objects
class StatisticsConverter extends Converter
{
    protected function GetTitle($json_item)
    {
        return "Statistics for {$json_item['site']['name']}";
    }
    
    protected function GetDescription($json_item)
    {
return <<<EOD
<b>Total questions:</b> {$json_item['total_questions']}<br />
<b>Total unanswered questions:</b> {$json_item['total_unanswered']}<br />
<b>Total questions with accepted answers:</b> {$json_item['total_accepted']}<br />
<b>Total answers:</b> {$json_item['total_answers']}<br />
<b>Total comments:</b> {$json_item['total_comments']}<br />
<b>Total votes cast:</b> {$json_item['total_votes']}<br />
<b>Total badges earned:</b> {$json_item['total_badges']}<br />
<b>Total users:</b> {$json_item['total_users']}<br />
<b>Questions per minute:</b> {$json_item['questions_per_minute']}<br />
<b>Answers per minute:</b> {$json_item['answers_per_minute']}<br />
<b>Badges earned per minute:</b> {$json_item['badges_per_minute']}<br />
<b>Views per day:</b> {$json_item['views_per_day']}<br />
<b>API version:</b> {$json_item['api_version']['version']} (revision {$json_item['api_version']['revision']})
EOD;
    }
    
    protected function GetLink($json_item)
    {
        return "http://{$_GET['site']}/";
    }
    
    protected function GetDate($json_item)
    {
        // Since date has no meaning, use the current date
        return date(DATE_RSS);
    }
}

?>
