<?php

/// \file tag_converter.php Contains the conversion class for tag objects.

// This class derives from Converter
require_once 'converter.php';

/// Provides conversion for tag objects
class TagConverter extends Converter
{
    protected function GetTitle($json_item)
    {
        return "{$json_item['name']}";
    }
    
    protected function GetDescription($json_item)
    {
        $fulfills = ($json_item['fulfills_required'])?'yes':'no';
        
        return "<b>Fulfills required:</b> {$fulfills}";
    }
    
    protected function GetLink($json_item)
    {
        return "http://{$_GET['site']}/tags/{$json_item['name']}";
    }
    
    protected function GetDate($json_item)
    {
        // Date is essentially meaningless, so use the current date.
        return date(DATE_RSS);
    }
}

?>
