<?php

/// \file tag_synonym_converter.php Contains the conversion class for tag synonym objects.

// This class derives from Converter
require_once 'converter.php';

/// Provides conversion for tag synonym objects
class TagSynonymConverter extends Converter
{
    protected function GetTitle($json_item)
    {
        return "{$json_item['from_tag']} => {$json_item['to_tag']}";
    }
    
    protected function GetDescription($json_item)
    {
        return "<b>Applied:</b> {$json_item['applied_count']} times";
    }
    
    protected function GetLink($json_item)
    {
        return "http://{$_GET['site']}/tags/{$json_item['to_tag']}/synonyms";
    }
    
    protected function GetDate($json_item)
    {
        return date(DATE_RSS, $json_item['creation_date']);
    }
}

?>
