<?php

/// \file tag_wiki_converter.php Contains the conversion class for tag wiki objects.

// This class derives from Converter
require_once 'converter.php';

/// Provides conversion for tag wiki objects
class TagWikiConverter extends Converter
{
    protected function GetTitle($json_item)
    {
        return htmlentities($json_item['wiki_excerpt']);
    }
    
    protected function GetDescription($json_item)
    {
        return $json_item['wiki_body'];
    }
    
    protected function GetLink($json_item)
    {
        return "http://{$_GET['site']}/tags/{$json_item['tag_name']}/info";
    }
    
    protected function GetDate($json_item)
    {
        $last_edit_data = ($json_item['body_last_edit_date'] > $json_item['excerpt_last_edit_date'])?$json_item['body_last_edit_date']:
                                                                                                     $json_item['excerpt_last_edit_date'];
        
        return date(DATE_RSS, $last_edit_date);
    }
}

?>
