<?php

/// \file top_tag_converter.php Contains the conversion class for top tags objects.

// This class derives from Converter
require_once 'converter.php';

/// Provides conversion for top tags objects
class TopTagConverter extends Converter
{
    protected function GetTitle($json_item)
    {
        return "{$json_item['tag_name']}";
    }
    
    protected function GetDescription($json_item)
    {
return <<<EOD
<b>Reputation earned from questions:</b> {$json_item['question_score']}<br />
<b>Reputation earned from answers:</b> {$json_item['answer_score']}<br />
<b>Questions asked with this tag:</b> {$json_item['question_count']}<br />
<b>Answers to questions with this tag:</b> {$json_item['answer_count']}
EOD;
    }
    
    protected function GetLink($json_item)
    {
        // Just send the user to the site since we don't have a meaningful
        // URL for this item.
        return "http://{$_GET['site']}/";
    }
    
    protected function GetDate($json_item)
    {
        // Use the current date
        return date(DATE_RSS);
    }
}

?>
