<?php

/// \file top_user_converter.php Contains the conversion class for top user objects.

// This class derives from Converter
require_once 'converter.php';

/// Provides conversion for top user objects
class TopUserConverter extends Converter
{
    protected function GetTitle($json_item)
    {
        $mod =  ($json_item['user']['user_type'] == 'moderator')?'♦':'';
        
        return "{$json_item['user']['display_name']}{$mod} - {$json_item['user']['reputation']}";
    }
    
    protected function GetDescription($json_item)
    {
        return "<b>Reputation from tag:</b> {$json_item['score']}<br /><b>Post count:</b> {$json_item['post_count']}";
    }
    
    protected function GetLink($json_item)
    {
        return "http://{$_GET['site']}/users/{$json_item['user']['user_id']}";
    }
    
    protected function GetDate($json_item)
    {
        // Use the current date
        return date(DATE_RSS);
    }
}

?>
