<?php

/// \file user_converter.php Contains the conversion class for user objects.

// This class derives from Converter
require_once 'converter.php';

/// Provides conversion for user objects
class UserConverter extends Converter
{
    protected function GetTitle($json_item)
    {
        $mod =  ($json_item['user_type'] == 'moderator')?'♦':'';
        
        return "{$json_item['display_name']}{$mod} - {$json_item['reputation']}";
    }
    
    protected function GetDescription($json_item)
    {
return <<<EOD
<b>Age:</b> {$json_item['age']}<br />
<b>Location:</b> {$json_item['location']}<br />
{$json_item['about_me']}
EOD;
    }
    
    protected function GetLink($json_item)
    {
        return "http://{$_GET['site']}/users/{$json_item['user_id']}";
    }
    
    protected function GetDate($json_item)
    {
        return date(DATE_RSS, $json_item['creation_date']);
    }
}

?>
