<?php

/// \file index.php Default landing page with usage information.

require 'header.inc';

?>
<h2>What exactly <i>is</i> Stack2RSS?</h2>
<p>Stack2RSS is an online feed generator that creates an RSS feed given an API route from the <a href='http://stackapps.com'>Stack Exchange API</a>. These feeds contain the data that is returned from the API.</p>
<h2>Why would I use Stack2RSS?</h2>
<p>Because Stack2RSS always contains the most up to date information from the API, one obvious use for the tool would be subscribing to the questions route to keep up to date on new questions. Because Stack2RSS exposes <b>all</b> routes and parameters in the API, you can create very flexible queries that return only a subset of the information that a route would normally return.</p>
<h2>How do I use it?</h2>
<p>The first place to stop is the <a href='http://api.stackoverflow.com/1.1/usage'>API documentation page</a>, which contains a comprehensive list of routes and expected parameters.</p>
<p>The next step is to construct your feed URL using the following syntax:</p>
<pre><?php echo CONFIG_DOMAIN . CONFIG_DOCUMENT_ROOT; ?>/<span class='param'>{site}</span>/<span class='param'>{method}</span>?<span class='param'>{parameters}</span></pre>
<table>
 <tr>
  <td class='param-name'>{site}</td>
  <td class='param-desc'>the domain name of the Stack Exchange site without the 'http://' prefix (the TLD may be omitted)</td>
 </tr>
 <tr>
  <td class='param-name'>{method}</td>
  <td class='param-desc'>the API route to query</td>
 </tr>
 <tr>
  <td class='param-name'>{parameters}</td>
  <td class='param-desc'>the parameters for the API route above that will be passed along to the API</td>
 </tr>
</table>
<br />
<p>It should be noted that in addition to the parameters documented in the API, there is one additional parameter that you can include:</p>
<table>
 <tr>
  <td class='param-name'>api_version</td>
  <td class='param-desc'>the version of the API to use when making the query (accepted values are 1.0 and 1.1)</td>
 </tr>
</table>
<h2>I'm still confused. Can I see an example?</h2>
<p>Sure! Here is an example that fetches recent questions asked on Server Fault with the tag <span class='sf-tag'>iis</span>.</p>
<pre><?php echo CONFIG_DOMAIN . CONFIG_DOCUMENT_ROOT; ?>/serverfault/questions?tagged=iis&body=true</pre>
<p>You can view the feed <a href="<?php echo CONFIG_DOMAIN . CONFIG_DOCUMENT_ROOT; ?>/serverfault/questions?tagged=iis&body=true">here</a>.</p>
<?php

require 'footer.inc';

?>
